FROM --platform=$BUILDPLATFORM docker.io/ubuntu:22.04 AS builder

ARG TARGETPLATFORM

RUN apt update
RUN apt install --yes wget unzip
RUN wget "https://github.com/hashicorp/demo-consul-101/releases/download/v0.0.5/counting-service_linux_$(echo $TARGETPLATFORM | cut --delimiter='/' -f 2).zip" -O "/tmp/counting-service_linux_$(echo $TARGETPLATFORM | cut --delimiter='/' -f 2).zip"
RUN unzip "/tmp/counting-service_linux_$(echo $TARGETPLATFORM | cut --delimiter='/' -f 2).zip" -d /opt
RUN mv "/opt/counting-service_linux_$(echo $TARGETPLATFORM | cut --delimiter='/' -f 2)" /opt/counting

FROM docker.io/ubuntu:22.04

COPY --from=builder /opt/counting /usr/bin/counting

ENV PORT=1081

CMD [ "counting" ]